Supported Platforms and Configurations

VMware Products

vFabric License Server is supported on versions 4.1 and 5.0 of VMware® vCenter™.

In general, vFabric Standard and Advanced components (such as vFabric tc Server or vFabric GemFire), with the exception of EM4J, are supported on all currently supported versions of the following products:

EM4J is supported on vSphere 4.1, 5.0, and later. However, EM4J memory balloons are only active on vSphere 5.0 and later, and are deactivated on vSphere 4.1.

Platforms and Configurations

The following table lists each component in vFabric Standard and Advanced in the left-most column, and then operating systems and JVM the component supports. A Yes value means that you can install the component on a VM configured with the indicated operating system; a No value means that installing the component on the operating system is not supported.

Note

Some standalone vFabric components support additional configurations and have additional requirements. To display this information, click on the component name in the following table.

Table 1. vFabric Standard and Advanced Supported Configurations Matrix

vFabric ComponentRed Hat Enterprise Linux (RHEL) 5 (x86)Red Hat Enterprise Linux (RHEL) 5 (x86_64)Ubuntu 10.04 (x86_64)Windows 2003 Server (x86)Windows 2003 Server (x86_64)Windows 2008 Server (x86)Windows 2008 Server (x86_64)JVM
tc Server 2.6YesYesYesYesNoYesYesSun HotSpot JVM 1.6
EM4J 1.0YesYesNoNoNoNoNoSun HotSpot JVM 1.6
Spring Insight 1.5 (Dashboard and Agent)YesYesYesYesNoYesYesSun HotSpot JVM 1.6
Web Server 5.0YesYesYesYesNoYesYesNot applicable.
Hyperic 4.6YesYesYesYesNoYesYes, but uses 32-bit Java binaries
  • Sun HotSpot JVM 1.5+ for Hyperic agents

  • Sun HotSpot JVM 1.6 for Hyperic server

GemFire 6.6YesYesNoNoNoYesYesSun HotSpot JVM 1.5+
SQLFire 1.0YesYesNoYesYesYesYesSun HotSpot JVM 1.6
RabbitMQ 2.4YesYesYesYesYes, but uses 32-bit Erlang libraries.YesYes, but uses 32-bit Erlang libraries.Sun HotSpot JVM 1.6